#ifdef _USE_WXWIDGETS_
#ifndef __bbcreaMaracasVisuHistogramView_h_INCLUDED__
#define __bbcreaMaracasVisuHistogramView_h_INCLUDED__
#include "bbtkWxBlackBox.h"

#include "vtkImageData.h"
#include "Histogram.h"


namespace bbcreaMaracasVisu
{

class /*BBTK_EXPORT*/ HistogramView
 : 
   public bbtk::WxBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(HistogramView,bbtk::WxBlackBox);
	BBTK_DECLARE_INPUT(In, vtkImageData *);
  BBTK_PROCESS(Process);
  void Process();
  BBTK_CREATE_WIDGET(CreateWidget);
  void CreateWidget(wxWindow*);
	
private:
	bool		firsttime;
	Histogram	*histogram_wxwidget;
	wxPanel		*wxpanel;
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(HistogramView,bbtk::WxBlackBox);
BBTK_NAME("HistogramView");
BBTK_AUTHOR("eduardo.davila [at] creatis.insa-lyon.fr");
BBTK_DESCRIPTION("Histogram window");
BBTK_CATEGORY("viewer");
  BBTK_INPUT(HistogramView,In,"Input image",vtkImageData*,"");
BBTK_END_DESCRIBE_BLACK_BOX(HistogramView);
}
// EO namespace bbcreaMaracasVisu

#endif // __bbcreaMaracasVisuHistogramView_h_INCLUDED__
#endif // _USE_WXWIDGETS_

