/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasEmptyPanel.cxx,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "wxMaracasEmptyPanel.h"


wxMaracasEmptyPanel::wxMaracasEmptyPanel( wxFrame* parent )
: wxPanel( parent, -1, wxDefaultPosition, wxDefaultSize, wxTAB_TRAVERSAL)
{
  // Create the main frame window
  _emptyPanel = new wxEmptyPanelWidget( this );
  wxBoxSizer* szTop = new wxBoxSizer( wxVERTICAL );
  szTop->Add( _emptyPanel, 1  , wxEXPAND |  wxALL , 0 );
  szTop->Fit( this );
  szTop->SetSizeHints( this );
  this->SetAutoLayout( true );
  this->SetSizer( szTop );
  this->Layout();
}
//----------------------------------------------------------------------------
wxMaracasEmptyPanel::~wxMaracasEmptyPanel( )
{
  // Nothing
}
//----------------------------------------------------------------------------
void wxMaracasEmptyPanel::ConfigureVTK( vtkImageData *imagedata, int x, int y, int z )
{
  _emptyPanel->ConfigureVTK(imagedata,  x,  y,  z );
}
//----------------------------------------------------------------------------

// EOF - wxMaracasEmptyPanel.cxx




