/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasEmptyPanel.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__EMPTY_PANEL__HXX__
#define __WX__MARACAS__EMPTY_PANEL__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "vtkImageData.h"

#include "widgets/wxEmptyPanelWidget.h"

class wxMaracasEmptyPanel : public wxPanel
{
public:
    wxMaracasEmptyPanel( wxFrame* parent);
    ~wxMaracasEmptyPanel( );
	void ConfigureVTK(vtkImageData *imagedata, int x, int y, int z);
private:
	 wxEmptyPanelWidget* _emptyPanel;
};

#endif // __WX__MARACAS__MPR__HXX__

// EOF - wxMaracasEmptyPanel.h
