/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasPathology_01.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__PATHOLOGY__01__HXX__
#define __WX__MARACAS__PATHOLOGY__01__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "vtkImageData.h"
#include "widgets/wxPathologyWidget_01.h"



class wxMaracasPathology_01 : public wxPanel
{
public:
    wxMaracasPathology_01( wxWindow* parent,marInterface *mar);
    ~wxMaracasPathology_01( );
	void ConfigureVTK();
	void ConfigureVTK(vtkImageData *imagedata, int x, int y, int z, double param);
private:
	 wxPathologyWidget_01* _pathologywidget;
};

#endif // __WX__MARACAS__PATHOLOGY__01__HXX__

