
#include "OpenImageDialog.h"

typedef vtkImageData* (*GETIMAGEDATADIALOG)();

namespace creaMaracasVisuKernel{
	OpenImageDialog::OpenImageDialog()
	{


		img = NULL;
		bool gimmicknotfound = true;
		
	#ifdef WIN32
		HINSTANCE gimmickhandle; 
		gimmickhandle = LoadLibrary(TEXT("creaImageIO2.dll")); 	
		std::cout<<"imagehandle "<<gimmickhandle<<std::endl;
		if(gimmickhandle!=NULL){	

			
			GETIMAGEDATADIALOG getImageDataDialog;

			getImageDataDialog = (GETIMAGEDATADIALOG)GetProcAddress(gimmickhandle, "getImageDataDialog");

			
			std::cout<<"imagedatadialog "<<getImageDataDialog<<std::endl;

			if(getImageDataDialog!=NULL){
				img = getImageDataDialog();
				gimmicknotfound = false;
			}
		}	

	#endif

		if(gimmicknotfound){

			wxFileDialog* FD = 
			  new wxFileDialog( 0, _T("Read Image"),wxEmptyString,wxEmptyString, _T("*.mhd"));
			
			if (FD->ShowModal()==wxID_OK)
			{
				std::string  path= FD->GetPath();

				vtkMetaImageReader *reader =  vtkMetaImageReader::New();	
				reader->SetFileName(path.c_str());		
				img = reader->GetOutput();		
			}		
		}	


		
	}

	//-------------------------------------------------------------------
	OpenImageDialog::~OpenImageDialog()
	{
	}

	vtkImageData* OpenImageDialog::getImageData(){
		return img;
	}
}

