#include "manualContour3V3DControler.h"


// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

manualContour3V3DControler::manualContour3V3DControler()
{
}
// ----------------------------------------------------------------------------
manualContour3V3DControler::~manualContour3V3DControler()
{
}

// ----------------------------------------------------------------------------
manualContour3V3DControler * manualContour3V3DControler :: Clone()  // virtual
{
	manualContour3V3DControler * clone = new manualContour3V3DControler();
	CopyAttributesTo(clone);
	return clone;
}

// ---------------------------------------------------------------------------
void manualContour3V3DControler::CopyAttributesTo( manualContour3V3DControler * cloneObject)
{
	// Fathers object
	manualContour3DControler::CopyAttributesTo(cloneObject);

	cloneObject->SetManualContour3VControler( this->GetManualContour3VControler() );
}
// ----------------------------------------------------------------------------
void manualContour3V3DControler::InsertPoint(int x, int y, int z ) // virtual
{
	manualContour3DControler::InsertPoint(  x,  y,  z );
	_manualcontour3Vcontroler->InsertPoint_Others(0);
}
// ----------------------------------------------------------------------------
void manualContour3V3DControler::AddPoint( int x, int y, int z )
{
	manualContour3DControler::AddPoint(  x,  y,  z );
	_manualcontour3Vcontroler->AddPoint_Others();
}
// ----------------------------------------------------------------------------
void manualContour3V3DControler::DeleteActualMousePoint(int x, int y)
{
	int id = GetManualViewBaseContour()->GetIdPoint ( x , y , GetZ() );
	manualContour3DControler::DeleteActualMousePoint( x , y );
	_manualcontour3Vcontroler->DeleteActualMousePoint_Others(id);
}
// ----------------------------------------------------------------------------
void manualContour3V3DControler::MouseMove( int x, int y )
{
	int ss =this->_vtkInteractorStyleBaseView->vtkInteractorStyle::GetState();
	if ((this->GetState()!=7) && (ss!=1)){
		manualContour3DControler::MouseMove( x , y );
		int id = GetManualViewBaseContour()->GetIdPoint ( x , y , GetZ() );
		_manualcontour3Vcontroler->MouseMove_Others(id);
	}
}
// ----------------------------------------------------------------------------
void manualContour3V3DControler::SetManualContour3VControler(manualContour3VControler *manualcontour3Vcontroler)
{
	_manualcontour3Vcontroler = manualcontour3Vcontroler;
}
// ----------------------------------------------------------------------------
manualContour3VControler *manualContour3V3DControler::GetManualContour3VControler()
{
	return _manualcontour3Vcontroler;
}
// ----------------------------------------------------------------------------
bool manualContour3V3DControler::OnChar() // virtual
{
	if (manualContour3DControler::OnChar()==false )
	{
		_manualcontour3Vcontroler->OnChar_Others();
	}
	return true;
}

// ----------------------------------------------------------------------------
void manualContour3V3DControler::ResetContour() // virtual
{
	manualContourControler::ResetContour();
	_manualcontour3Vcontroler->ResetContour_Others();
}

