#ifndef manualContourModelCircle_h
#define manualContourModelCircle_h

#include "manualContourModel.h"

class creaMaracasVisu_EXPORT manualContourModelCircle : public manualContourModel
{
public:
	manualContourModelCircle();
	virtual ~manualContourModelCircle();
	virtual manualContourModelCircle *Clone();
	void CopyAttributesTo( manualContourModelCircle *cloneObject);
	virtual void GetSpline_i_Point(int i, double *x, double *y, double *z);
private:
	double		_deltaAngle;
	double		_radio;
	double		_centerX;
	double		_centerY;
	double		_centerZ;

	virtual int		GetTypeModel();  
	virtual void	UpdateSpline();
};

#endif // manualContourModelCircle_h
