#include "manualContourModelPolygon.h"

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

manualContourModelPolygon::manualContourModelPolygon()
: manualContourModel()
{
}

manualContourModelPolygon::~manualContourModelPolygon()
{
}


// ----------------------------------------------------------------------------
manualContourModelPolygon* manualContourModelPolygon :: Clone()  // virtual 
{
	manualContourModelPolygon * clone = new manualContourModelPolygon();
	CopyAttributesTo(clone);
	return clone;
}

// ---------------------------------------------------------------------------

void manualContourModelPolygon::CopyAttributesTo( manualContourModelPolygon * cloneObject)
{
	manualContourModel::CopyAttributesTo(cloneObject);
}

//----------------------------------------------------------------
int manualContourModelPolygon::GetTypeModel() //virtual 
{
	return 10;
}


//----------------------------------------------------------------
void manualContourModelPolygon::GetSpline_i_Point(int i, double *x, double *y, double *z) // virtual
{
	//cout<<"RaC manualContourModelPolygon::GetSpline_i_Point lstPoints:"<<_lstPoints.size()<<" pointsSpline:"<<GetNumberOfPointsSpline()<<endl;
	if(i>=_lstPoints.size())
	{
		i=0;
	}

	if (_lstPoints.size()==0)
	{
		*x	= 0;
		*y	= 0;
		*z	= 0;
	}
	else
	{
		manualPoint	*mp;
		mp	= GetManualPoint(i);
		*x	= mp->GetX();
		*y	= mp->GetY();
		*z	= mp->GetZ();
	}

}


void manualContourModelPolygon::UpdateSpline() // virtual
{
	//SetNumberOfPointsSpline(_lstPoints.size()+1);
}