#include "vtkImageData.h"
#include "wxMaracas_N_ViewersWidget.h"
#include "CutModelMainPanel.h"
#include <wx/wx.h>
#include <vector>

/**
** Class constructor
**/
class wxMaracasDialog_NViewers : public wxFrame{

	public:
		wxMaracasDialog_NViewers(wxWindow* parent, vtkImageData* img, std::vector<int>* type, wxString title);
		~wxMaracasDialog_NViewers();
		void OnRefreshView(wxCommandEvent & event);
		void OnDClickLeft(wxCommandEvent & event);
		wxMaracas_N_ViewersWidget* getViewer();

	private:
		wxMaracas_N_ViewersWidget*	viewer;
		CutModelMainPanel*			cutter;

		std::vector<int>			point;
	
	DECLARE_EVENT_TABLE( );

};