/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracas_ManualTree_MPR.h,v $
  Language:  C++
  Date:      $Date: 2009/05/19 11:17:31 $
  Version:   $Revision: 1.3 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__MANUAL__TREE__MPR__HXX__
#define __WX__MARACAS__MANUAL__TREE__MPR__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "vtkImageData.h"
#include "manualContourModel.h"
#include "widgets/wxManualTree_MPRWidget.h"

class wxMaracas_ManualTree_MPR : public wxPanel
{
public:
    wxMaracas_ManualTree_MPR( wxWindow* parent, marImageData* marimagedata,double voxelSize);
    ~wxMaracas_ManualTree_MPR( );
	void ConfigureVTK();
	vtkMPRBaseData		*GetVtkMPRBaseData();
	vtkPlane2DView		*GetVtkPlane2DView();
	manualContourModel	*GetManualContourModel();

private:
	 wxManualTree_MPRWidget* _MPR;
};





#endif // __WX__MARACAS__MANUAL__TREE__MPR__HXX__

// EOF - wxMaracasMPR.h
