/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: CutModelException.h,v $
  Language:  C++
  Date:      $Date: 2009/09/25 10:58:19 $
  Version:   $Revision: 1.2 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/




#ifndef __CutModelExceptionH__
#define __CutModelExceptionH__

#include <iostream>
#include <vector>


class CutModelException  : public std::exception{

public:
	CutModelException(std::string cause);
	~CutModelException() throw();

	std::string getCause(){
		return _cause;
	}
	
private:	
	
	std::string _cause;
	
};

#endif 
