#ifndef manualContour3V3DControler_h
#define manualContour3V3DControler_h

#include "manualContour3DControler.h"
#include "manualContour3VControler.h"

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

class creaMaracasVisu_EXPORT manualContour3V3DControler: public manualContour3DControler
{
public:
	manualContour3V3DControler();
	virtual ~manualContour3V3DControler();
	virtual manualContour3V3DControler * Clone();
	void CopyAttributesTo( manualContour3V3DControler *cloneObject );

	void SetManualContour3VControler(manualContour3VControler *manualcontour3Vcontroler);
	manualContour3VControler *GetManualContour3VControler();

	virtual bool OnChar();
	virtual void AddPoint( int x, int y, int z );
	virtual void DeleteActualMousePoint(int x, int y);
	virtual void MouseMove(int x, int y);
	virtual void InsertPoint(int x, int y, int z);
	virtual void ResetContour();


protected:
private:
	manualContour3VControler	*_manualcontour3Vcontroler;

};


#endif // manualContour3V3DControler_h
