#ifndef manualContourModelBullEyeSector_h
#define manualContourModelBullEyeSector_h

#include "manualContourModel.h"


//--------------------------------------------------------

class manualContourModelBullEyeSector : public manualContourModel
{
public:
	manualContourModelBullEyeSector();
	virtual ~manualContourModelBullEyeSector();
	virtual manualContourModelBullEyeSector *Clone();
	void	CopyAttributesTo( manualContourModelBullEyeSector *cloneObject);
	void	SetSector(	double radioA,
						double radioB,
						double ang,
						double angDelta);
	void GetSector(		double *radioA,
						double *radioB,
						double *ang,
						double *angDelta);
	void SetSize(double ww,double hh);
	void SetCenter(double cx,double cy);
	virtual void GetSpline_i_Point(int i, double *x, double *y, double *z);
	virtual void Save(FILE *ff);
	virtual void Open(FILE *ff);

private:
	double		_radioA;
	double		_radioB;
	double		_ang;
	double		_angDelta;
	double		_ww;
	double		_hh;
	double		_cx;
	double		_cy;

	virtual int		GetTypeModel();  
};


#endif // manualContourModelBullEyeSector_h
