#ifndef manualViewCircle_h
#define manualViewCircle_h

#include "manualViewContour.h"


// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

// EED08
class creaMaracasVisu_EXPORT manualViewCircle: public manualViewContour
{
public:
	manualViewCircle();
	virtual ~manualViewCircle();

	virtual int GetType();
	virtual manualViewCircle * Clone();
	void CopyAttributesTo( manualViewCircle *cloneObject );

	virtual void InitMove(int x, int y, int z);
	virtual void MoveContour(int x, int y, int z);
	void GetMinMax(double &minX,double &minY, double &maxX, double &maxY);

private:
	double				_dp0[3];
	double				_dp1[3];
};


#endif // manualViewCircle_h
