

#include "vtkInteractorStyleBaseView2D.h"
#include <vtkObjectFactory.h>

vtkStandardNewMacro(vtkInteractorStyleBaseView2D);

//---------------------------------------------------------------------------
vtkInteractorStyleBaseView2D::vtkInteractorStyleBaseView2D()
{
	_manualinteractorwindowlevel= new manualInteractorWindowLevel();
	AddInteractorStyleMaracas( _manualinteractorwindowlevel );

	_vtkInteractorScrollZ = new vtkInteractorScrollZ();
	AddInteractorStyleMaracas(_vtkInteractorScrollZ);
	
}
//---------------------------------------------------------------------------
vtkInteractorStyleBaseView2D::~vtkInteractorStyleBaseView2D()
{
}

//---------------------------------------------------------------------------
void  vtkInteractorStyleBaseView2D::OnRightButtonDown()  // virtual
{    
	vtkInteractorStyleBaseView::OnRightButtonDown();

	if ((GetInteractor()->GetControlKey()==1) && (GetInteractor()->GetShiftKey()==0) ){
		this->vtkInteractorStyleImage::OnRightButtonDown();
	}

}

//---------------------------------------------------------------------------
void  vtkInteractorStyleBaseView2D::OnRightButtonUp()  // virtual
{
	vtkInteractorStyleBaseView::OnRightButtonUp();
	this->vtkInteractorStyleImage::OnRightButtonUp();
}
//---------------------------------------------------------------------------
void  vtkInteractorStyleBaseView2D::OnMouseMove () // virtual
{
	vtkInteractorStyleBaseView::OnMouseMove();
	this->vtkInteractorStyleImage::OnMouseMove();
}
//---------------------------------------------------------------------------
void  vtkInteractorStyleBaseView2D::OnLeftButtonDown() // virtual
{
	vtkInteractorStyleBaseView::OnLeftButtonDown();

	if ((GetInteractor()->GetControlKey()==0) && (GetInteractor()->GetShiftKey()==1) )
	{
		this->vtkInteractorStyleImage::OnLeftButtonDown();
	}
}
//---------------------------------------------------------------------------
void  vtkInteractorStyleBaseView2D::OnLeftButtonUp () // virtual
{
	vtkInteractorStyleBaseView::OnLeftButtonUp();

	this->vtkInteractorStyleImage::OnLeftButtonUp();
}
//---------------------------------------------------------------------------
void  vtkInteractorStyleBaseView2D::OnMiddleButtonDown () // virtual
{
	vtkInteractorStyleBaseView::OnMiddleButtonDown();

	if ((GetInteractor()->GetControlKey()==1) || (GetInteractor()->GetShiftKey()==1) )
	{
		this->vtkInteractorStyleImage::OnLeftButtonDown();
	}
}
//---------------------------------------------------------------------------
void vtkInteractorStyleBaseView2D::OnMiddleButtonUp () // virtual
{
	vtkInteractorStyleBaseView::OnMiddleButtonUp();

	if ((GetInteractor()->GetControlKey()==1) || (GetInteractor()->GetShiftKey()==1) )
	{
		this->vtkInteractorStyleImage::OnLeftButtonUp();
	}
}

