#ifndef VTKMYPWCALLBACK_3DPOINTWIDGET_H_
#define VTKMYPWCALLBACK_3DPOINTWIDGET_H_

//#include "wxVtkMPR3DView.h"
#include "vtkPlaneWidget.h"
#include "vtkCommand.h"
#include "vtkPointWidget.h"

#include "wxVtkMPR3DView.h"

class vtkmyPWCallback_3DPointWidget : public vtkCommand
{
public:
  static vtkmyPWCallback_3DPointWidget *New() 
    { return new vtkmyPWCallback_3DPointWidget; }
  virtual void Execute(vtkObject *caller, unsigned long, void*);
  vtkmyPWCallback_3DPointWidget(){}
  void SetWxVtkMPR3DView( wxVtkMPR3DView *wxvtkmpr3Dview );
  void SetVtkPointWidget( vtkPointWidget *pointWidget );
  void SetVtkPlaneWidget( vtkPlaneWidget *planeWidget );
private:

	double							_backNormal[3];
	vtkPlaneWidget					*_planeWidget;
	vtkPointWidget					*_pointWidget;
	wxVtkMPR3DView *_wxvtkmpr3Dview;
};


#endif /*VTKMYPWCALLBACK_3DPOINTWIDGET_H_*/
