#include "wxWidgetMesure2D_Plane_in_MPR.h"

wxWidgetMesure2D_Plane_in_MPR::wxWidgetMesure2D_Plane_in_MPR(wxWindow *parent)
:wxWidgetMesure2D_Plane(parent)
{
	_vtkplane2Dview=NULL;
}

//-------------------------------------------------------------------

wxWidgetMesure2D_Plane_in_MPR::~wxWidgetMesure2D_Plane_in_MPR()
{
}
//-------------------------------------------------------------------
void wxWidgetMesure2D_Plane_in_MPR::OnActiveLink(wxCommandEvent& event)
{
	if (_vtkplane2Dview!=NULL)
	{
		_vtkplane2Dview->SetActive( _cb_link->GetValue() );
		_vtkplane2Dview->Refresh();
		_vtkplane2Dview->RefreshView();
	}
}


//-------------------------------------------------------------------
void wxWidgetMesure2D_Plane_in_MPR::SetActiveLink(bool ok)
{
	_cb_link->SetValue(ok);
	if (_vtkplane2Dview!=NULL)
	{
		_vtkplane2Dview->SetActive( _cb_link->GetValue() );
	}
}
//-------------------------------------------------------------------

void wxWidgetMesure2D_Plane_in_MPR::SetVtkPlane2DView(vtkPlane2DView *vtkplane2Dview)
{
	_vtkplane2Dview = vtkplane2Dview;
}

//-------------------------------------------------------------------

wxWindow *wxWidgetMesure2D_Plane_in_MPR::CreateWin1a(wxWindow *parent) // virtual
{
	wxPanel *panel = new wxPanel(parent,-1);

	_cb_link		= new wxCheckBox(panel,-1,_T("LINK                    ")); 
	_cb_link->SetValue(true);

	wxFlexGridSizer *sizer = new wxFlexGridSizer(1);

	sizer->Add(_cb_link);

	sizer->Add( wxWidgetMesure2D_Plane::CreateWin1a(panel) );

	panel->SetAutoLayout(true);
	panel->SetSizer(sizer);
	panel->SetSize(400,30);
	panel->Layout();

//EEDxx2.4
//	panel->FitInside();

	Connect(_cb_link->GetId() , wxEVT_COMMAND_CHECKBOX_CLICKED, (wxObjectEventFunction) &wxWidgetMesure2D_Plane_in_MPR::OnActiveLink );

	return panel;
}

