/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasMPR.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:31 $
  Version:   $Revision: 1.6 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__MPR__HXX__
#define __WX__MARACAS__MPR__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "marTypes.h"
#include "vtkImageData.h"
#include "widgets/wxMPRWidget.h"


class  creaMaracasVisu_EXPORT  wxMaracasMPR : public wxPanel
{
public:
    wxMaracasMPR( wxWindow* parent, marImageData* marimagedata=NULL,double voxelSize=-1);
    ~wxMaracasMPR( );
	void ConfigureVTK();
	vtkMPRBaseData	*GetVtkMPRBaseData();
	vtkPlane2DView	*GetVtkPlane2DView();
	wxVtkMPR3DView  *GetWxvtkmpr3Dview_BB()throw(char*);
	void			RefreshView();

	void setImageData(vtkImageData *img, double voxelsize);

private:
	 wxMPRWidget* _MPR;
};

#endif // __WX__MARACAS__MPR__HXX__

// EOF - wxMaracasMPR.h
