/*=========================================================================

 Program:   wxMaracas
 Module:    $RCSfile: marKVolume.h,v $
 Language:  C++
 Date:      $Date: 2009/05/14 13:55:08 $
 Version:   $Revision: 1.1 $
 
  Copyright: (c) 2002, 2003
  License:
  
   This software is distributed WITHOUT ANY WARRANTY; without even 
   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
   PURPOSE.  See the above copyright notice for more information.
   
=========================================================================*/

#ifndef __MAR__KERNEL__MARKVOLUME__HXX__
#define __MAR__KERNEL__MARKVOLUME__HXX__


#include "volume.hxx"

#include "marTypes.h"

class MAR_KERNEL_EXPORT marKVolume {
	
public:
	
    marKVolume( );
    ~marKVolume( );

    bool	 volumeLoaded( );
    kVolume* getVolume( );
    void	 setVolume( kVolume *vol);
	bool	 load( std::ifstream& is );
	bool	 save( std::ofstream& os );
	void	 reset();

  private:
	  
	kVolume* _volume;
};

#endif // __MAR__KERNEL__MARKVOLUME__HXX__
